Package org.opensaml.xmlsec

# Class KeyTransportAlgorithmPredicate.SelectionInput

java.lang.Object
org.opensaml.xmlsec.KeyTransportAlgorithmPredicate.SelectionInput

Enclosing interface:
  KeyTransportAlgorithmPredicate

public static final class KeyTransportAlgorithmPredicate.SelectionInput extends Object
Input class for instances of `KeyTransportAlgorithmPredicate`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`dataEncryptionAlgorithm`
The candidate data encryption algorithm.
`private final String`
`keyTransportAlgorithm`
The candidate key transport algorithm.
`private final Credential`
`keyTransportCredential`
The candidate key transport credential.

## Constructor Summary

Constructors
Constructor
Description
`SelectionInput(String keyTransportAlgorithmCandidate, String dataEncryptionAlgorithmCandidate, Credential keyTransportCredentialCandidate)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataEncryptionAlgorithm()`
Get the candidate data encryption algorithm.
`String`
`getKeyTransportAlgorithm()`
Get the candidate key transport algorithm.
`Credential`
`getKeyTransportCredential()`
Get the candidate key transport credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### keyTransportAlgorithm

@Nonnull private final String keyTransportAlgorithm
The candidate key transport algorithm.

### dataEncryptionAlgorithm

@Nullable private final String dataEncryptionAlgorithm
The candidate data encryption algorithm.

### keyTransportCredential

@Nullable private final Credential keyTransportCredential
The candidate key transport credential.

## Constructor Details

### SelectionInput

public SelectionInput(@Nonnull String keyTransportAlgorithmCandidate, @Nullable String dataEncryptionAlgorithmCandidate, @Nullable Credential keyTransportCredentialCandidate)
Constructor.

Parameters:
  `keyTransportAlgorithmCandidate` - the candidate key transport algorithm
  `dataEncryptionAlgorithmCandidate` - the candidate data encryption algorithm
  `keyTransportCredentialCandidate` - the candidate key transport credential

## Method Details

### getKeyTransportAlgorithm

@Nonnull public String getKeyTransportAlgorithm()
Get the candidate key transport algorithm.

Returns:
  the algorithm

### getDataEncryptionAlgorithm

@Nullable public String getDataEncryptionAlgorithm()
Get the candidate data encryption algorithm.

Returns:
  the algorithm, may be null

### getKeyTransportCredential

@Nullable public Credential getKeyTransportCredential()
Get the candidate key transport credential.

Returns:
  the credential, may be null